---
sidebar_position: 1
description: Get site data and other functions to work with Neocities in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Neocities]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get site data
 Gets information about a site by its name or token



`Function GetSiteData(Val Token, Val Website = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | Website | --sitename | String | &#x2716; | Site name (login) for information. Current, if not filled in |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Neocities

:::tip
Neocities API docs: [neocities.org/api](https://neocities.org/api)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token   = "f1e616e20ab5893b...";
    Website = "2athenaeum";

    Result = OPI_Neocities.GetSiteData(Token);

    Result = OPI_Neocities.GetSiteData(Token, Website);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint neocities GetSiteData \
             --token "***" \
             --sitename "2athenaeum"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint neocities GetSiteData ^
             --token "***" ^
             --sitename "2athenaeum"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": "success",
 "info": {
  "sitename": "2athenaeum",
  "views": 152311,
  "hits": 411695,
  "created_at": "Sat, 31 Dec 2022 11:53:53 -0000",
  "last_updated": "Wed, 10 Dec 2025 20:07:54 -0000",
  "domain": null,
  "tags": [
   "***",
   "***",
   "***"
  ]
 }
}
```
